import { ComponentProps, useContext } from 'react';

import { MenuButton } from 'reakit/Menu';

import { SelectContext } from './context';

export function SelectButton({
  children,
  ...props
}: ComponentProps<typeof MenuButton>) {
  const state = useContext(SelectContext);
  return (
    <MenuButton
      className="transition bg-white focus:outline-none focus:ring-2 disabled:bg-opacity-75 disabled:cursor-default"
      {...state}
      {...props}
    >
      {children}
    </MenuButton>
  );
}
